package com.pj.xml;


import com.pj.api.dto.PaymentDto;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.UUID;

public class MessageXML {
    static SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss sss");

    /** 订单扣款：一级市场--->银行  */
    public static String SXB010(PaymentDto paymentDto) {
        String date = sdf.format(new Date());
        String xml = "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n" +
                "<message xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:noNamespaceSchemaLocation=\"\">\n" +
                "<headers>\n" +
                "        <item>\n" +
                "               <key>sn</key>\n" +
                "              <value>"+ UUID.randomUUID()+"</value>\n" +
                "       </item>\n" +
                "        <item>\n" +
                "               <key>date</key>\n" +
                "              <value>"+date+"</value>\n" +
                "       </item>\n" +
                "        <item>\n" +
                "               <key>organization</key>\n" +
                "              <value>"+paymentDto.getFieldCode()+"</value>\n" +//互市点机构代码
                "       </item>\n" +
                "        <item>\n" +
                "            <key>bankCode</key>\n" +
                "            <value>ICBKCNBJYUN</value>\n" +//银行标识
                "        </item>\n" +
                "        <item>\n" +
                "               <key>operation</key>\n" +
                "              <value>SXB010</value>\n" +
                "       </item>\n" +
                "</headers>\n" +
                " <payload xsi:type=\"orderDTO\">\n" +
                "         <sn>"+paymentDto.getTradeNo()+"</sn>\n" +                         //订单号
                "         <export>false</export>\n" +                                       //出口标识	true：出口，false：进口
                "         <organization>"+paymentDto.getFieldCode()+"</organization>\n" +   //互市点机构代码
                "         <currency>"+paymentDto.getCurrCode()+"</currency>\n" +            //币种
                "         <type>01</type>\n" +                                              //业务类型	01 代表扣款报文
                "         <charging>"+paymentDto.getResalePrice()+"</charging>\n" +         //计费金额(二级市场转售总金额)
                "         <total>"+paymentDto.getTotalPrice()+"</total>\n" +                //总金额8000.00(一级市场边民订单金额)
                "         <date>"+paymentDto.getDeclTime()+"</date>\n" +                    //订单时间	YYYY-MM—DD HH：MM：DD SSS
                "<vendee>\n" +
                "         <name>"+paymentDto.getBorderName()+"</name>\n" +                  //边民姓名
                "         <paperType>身份证</paperType>\n" +                                //证件类型
                "         <paperNo>"+paymentDto.getBorderidno()+"</paperNo>\n" +           //边民证件号
                "         <nationality>中国</nationality>\n" +                             //国籍
                "         <accountNo>"+paymentDto.getBankCode()+"</accountNo>\n" +         //银行账号
                "         <bankCode>"+paymentDto.getBankName()+"</bankCode>\n" +           //开户行代码
                "         <tel>"+paymentDto.getBorderTel()+"</tel>\n" +                    //联系电话
                "</vendee>\n" +
                "<vendor>\n" +
                "         <name>"+paymentDto.getOwnerName()+"</name>\n" +                  //商铺所属人姓名
                "         <paperType>"+paymentDto.getOwnerIdtype()+"</paperType>\n" +      //所属人证件类型
                "         <paperNo></paperNo>\n" +                                         //所属人证件号
                "         <nationality></nationality>\n" +                                 //国籍
                "         <accountNo>"+paymentDto.getBankAccount()+"</accountNo>\n" +      //银行账号
                "         <bankCode>"+paymentDto.getBank()+"</bankCode>\n" +               //开户行代码
                "         <tel>"+paymentDto.getOwnerTel()+"</tel>\n" +                     //联系电话
                "<vendor>\n" +
                "<items>\n" +
                "         <name>"+paymentDto.getGoodsName()+"</name>\n" +                   //商品名称
                "         <unit>"+paymentDto.getGoodsUnit()+"</unit>\n" +                   //商品单位
                "         <price></price>\n" +                                              //商品单价
                "         <quantity>"+paymentDto.getBuyQty()+"</quantity>\n" +              //商品数量
                "         <weight>"+paymentDto.getGrossWt()+"</weight>\n" +                 //商品重量
                "         <amount>"+paymentDto.getTotalPrice()+"</amount>\n" +              //金额
                "</items>\n" +
                "</payload>\n" +
                "</message>\n";
        return xml;
    }

    /** 订单退款：一级市场--->银行  */
    public static String SXB013(PaymentDto paymentDto) {
        String date = sdf.format(new Date());
        String xml = "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n" +
                "<message xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:noNamespaceSchemaLocation=\"\">\n" +
                "<headers>\n" +
                "        <item>\n" +
                "               <key>sn</key>\n" +
                "              <value>"+UUID.randomUUID()+"</value>\n" +
                "       </item>\n" +
                "        <item>\n" +
                "               <key>date</key>\n" +
                "              <value>"+date+"</value>\n" +
                "       </item>\n" +
                "        <item>\n" +
                "               <key>organization</key>\n" +
                "              <value>"+paymentDto.getFieldCode()+"</value>\n" +//互市点机构代码
                "       </item>\n" +
                "        <item>\n" +
                "            <key>bankCode</key>\n" +
                "            <value>ICBKCNBJYUN</value>\n" +//银行标识
                "        </item>\n" +
                "        <item>\n" +
                "               <key>operation</key>\n" +
                "              <value>SXB013</value>\n" +
                "       </item>\n" +
                "</headers>\n" +
                " <payload xsi:type=\"orderDTO\">\n" +
                "         <sn>"+paymentDto.getTradeNo()+"</sn>\n" +                         //订单号
                "         <organization>"+paymentDto.getFieldCode()+"</organization>\n" +   //互市点机构代码
                "         <currency>"+paymentDto.getCurrCode()+"</currency>\n" +            //币种
                "         <type>02</type>\n" +                                              //业务类型	02代表退款报文
                "         <charging>"+paymentDto.getResalePrice()+"</charging>\n" +         //计费金额(二级市场转售总金额)
                "         <total>"+paymentDto.getTotalPrice()+"</total>\n" +                //总金额8000.00(一级市场边民订单金额)
                "         <date>"+paymentDto.getDeclTime()+"</date>\n" +                    //订单时间	YYYY-MM—DD HH：MM：DD SSS
                "<vendee>\n" +
                "         <name>"+paymentDto.getBorderName()+"</name>\n" +                  //边民姓名
                "         <paperType>身份证</paperType>\n" +                                //证件类型
                "         <paperNo>"+paymentDto.getBorderidno()+"</paperNo>\n" +           //边民证件号
                "         <nationality>中国</nationality>\n" +                             //国籍
                "         <accountNo>"+paymentDto.getBankCode()+"</accountNo>\n" +         //银行账号
                "         <bankCode>"+paymentDto.getBankName()+"</bankCode>\n" +           //开户行代码
                "         <tel>"+paymentDto.getBorderTel()+"</tel>\n" +                    //联系电话
                "</vendee>\n" +
                "<vendor>\n" +
                "         <name>"+paymentDto.getOwnerName()+"</name>\n" +                  //商铺所属人姓名
                "         <paperType>"+paymentDto.getOwnerIdtype()+"</paperType>\n" +      //所属人证件类型
                "         <paperNo></paperNo>\n" +                                         //所属人证件号
                "         <nationality></nationality>\n" +                                 //国籍
                "         <accountNo>"+paymentDto.getBankAccount()+"</accountNo>\n" +      //银行账号
                "         <bankCode>"+paymentDto.getBank()+"</bankCode>\n" +               //开户行代码
                "         <tel>"+paymentDto.getOwnerTel()+"</tel>\n" +                     //联系电话
                "<vendor>\n" +
                "<items>\n" +
                "         <name>"+paymentDto.getGoodsName()+"</name>\n" +                   //商品名称
                "         <unit>"+paymentDto.getGoodsUnit()+"</unit>\n" +                   //商品单位
                "         <price></price>\n" +                                              //商品单价
                "         <quantity>"+paymentDto.getBuyQty()+"</quantity>\n" +              //商品数量
                "         <weight>"+paymentDto.getGrossWt()+"</weight>\n" +                 //商品重量
                "         <amount>"+paymentDto.getTotalPrice()+"</amount>\n" +              //金额
                "</items>\n" +
                "</payload>\n" +
                "</message>\n";
        return xml;
    }

    /** 通关车批信息同步(车出一级市场时)：一级市场--->银行 */
    public static String SXB023(PaymentDto paymentDto) {
        String date = sdf.format(new Date());
        String xml = "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n" +
                "<message xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:noNamespaceSchemaLocation=\"\">\n" +
                "<headers>\n" +
                "        <item>\n" +
                "               <key>sn</key>\n" +
                "              <value>"+UUID.randomUUID()+"</value>\n" +
                "       </item>\n" +
                "        <item>\n" +
                "               <key>date</key>\n" +
                "              <value>"+date+"</value>\n" +
                "       </item>\n" +
                "        <item>\n" +
                "               <key>organization</key>\n" +
                "              <value>"+paymentDto.getFieldCode()+"</value>\n" +//互市点机构代码
                "       </item>\n" +
                "        <item>\n" +
                "            <key>bankCode</key>\n" +
                "            <value>ICBKCNBJYUN</value>\n" +//银行标识
                "        </item>\n" +
                "        <item>\n" +
                "               <key>operation</key>\n" +
                "              <value>SXB023</value>\n" +
                "       </item>\n" +
                "</headers>\n" +
                " <payload xsi:type=\"carDTO\">\n" +
                "         <registration></registration>\n" +  //车辆批号
                "         <plateNumber></plateNumber>\n" +    //车牌号
                "         <Order></Order>\n" +                //订单号	n个
                "</payload>\n" +
                "</message>\n";
        return xml;
    }

    public static void main(String[] args) {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss sss");
        Date day = new Date();
        String format = sdf.format(day);
        System.out.println(UUID.randomUUID());
    }
}
